package com.yc.ship.module.resource.enums.guide;


import com.yc.ship.framework.common.core.IntArrayValuable;

import java.util.Arrays;

public enum GuideTaskPrintStatusEnum implements IntArrayValuable {
    UN_PRINTED(0, "未打印"),
    PRINTED(1, "已打印");


    public static final int[] ARRAYS = Arrays.stream(values()).mapToInt(GuideTaskPrintStatusEnum::getStatus).toArray();
    private final Integer status;
    private final String name;

    @Override
    public int[] array() {
        return ARRAYS;
    }


    public Integer getStatus() {
        return this.status;
    }

    public String getName() {
        return this.name;
    }

    private GuideTaskPrintStatusEnum(Integer status, String name) {
        this.status = status;
        this.name = name;
    }
}
